Debian Bug report logs - #658139
missing mime entry

version graph

Package: evince; Maintainer for evince is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for evince is src:evince.

Reported by: Andreas Tille <tille@debian.org>

Date: Tue, 31 Jan 2012 16:21:02 UTC

Severity: serious

Tags: patch

Found in version evince/3.0.2-1

Fixed in versions evince/3.8.3-2, evince/3.4.0-3.1

Done: Neil McGovern <neilm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 16:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evince: missing mime entry
Date: Tue, 31 Jan 2012 17:18:33 +0100
Package: evince
Severity: important
Tags: patch

Hi,

several programs (for instance see, mc) are regarding mime entries
in mailcap file and can not find a PDF viewer in case only evince is
installed.  This ends up in something like:


$ see test.pdf 
Error: no "view" mailcap rules found for type "application/pdf"


I set this to important because this is somehow breaking the usual
functionality of those programs.  The following patch will fix this:

diff -Nru /dev/null evince-3.2.1/debian/evince.mime
--- /dev/null
+++ evince-3.2.1/debian/evince.mime
@@ -0,0 +1,2 @@
+application/pdf; /usr/bin/evince %s; test=test "$DISPLAY" != ""; description=Portable Document Format; nametemplate=%s.pdf; priority=6
+application/x-pdf; /usr/bin/evince %s; test=test "$DISPLAY" != ""; description=Portable Document Format; nametemplate=%s.pdf; priority=6


Kind regards and thanks for maintaining evince

      Andreas.


-- System Information:
Debian Release: 6.0.4
Architecture: i386 (i686)

Kernel: Linux 2.6.36-xenU-4814-i386 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 19:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Andreas Tille <tille@debian.org>, 658139@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#658139: evince: missing mime entry
Date: Tue, 31 Jan 2012 19:57:39 +0100
[Message part 1 (text/plain, inline)]
severity 658139 wishlist
tags 658139 + wontfix
thanks

On 31.01.2012 17:18, Andreas Tille wrote:
> Package: evince
> Severity: important
> Tags: patch
> 
> Hi,
> 
> several programs (for instance see, mc) are regarding mime entries
> in mailcap file and can not find a PDF viewer in case only evince is
> installed.  This ends up in something like:

Since Joss has removed this file on purpose, it's very unlikely that it
is coming back.

This topic has been discussed several times already. Instead of
maintaining these files by hand (remember, we do have quite a few in the
GNOME repo), those mailcap entries should be generated automatically
from the *.desktop files that are provided upstream and already contain
all the necessary information.
We don't want to maintain a second mime database by hand in parallel.

From our pov, someone interested in this topic should write a small
tool, which does this automatically and is dpkg triggered.

Cheers,
Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'wishlist' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 31 Jan 2012 19:00:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 31 Jan 2012 19:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 20:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 20:57:07 GMT) Full text and rfc822 format available.

Message #19 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: 658139@bugs.debian.org
Subject: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Tue, 31 Jan 2012 21:51:54 +0100
Hi,

this problem concerns missing *.mime file which breaks other programs
like for instance see

$ see test.pdf 
Error: no "view" mailcap rules found for type "application/pdf"


On Tue, Jan 31, 2012 at 07:57:39PM +0100, Michael Biebl wrote:
> severity 658139 wishlist
> tags 658139 + wontfix

:-(
This is definitely not "wishlist" - but I do not like to play
severity-changing pingpong.

> On 31.01.2012 17:18, Andreas Tille wrote:
> > Package: evince
> > Severity: important
> > Tags: patch
> > 
> > Hi,
> > 
> > several programs (for instance see, mc) are regarding mime entries
> > in mailcap file and can not find a PDF viewer in case only evince is
> > installed.  This ends up in something like:
> 
> Since Joss has removed this file on purpose, it's very unlikely that it
> is coming back.
> 
> This topic has been discussed several times already. Instead of
> maintaining these files by hand (remember, we do have quite a few in the
> GNOME repo), those mailcap entries should be generated automatically
> from the *.desktop files that are provided upstream and already contain
> all the necessary information.
> We don't want to maintain a second mime database by hand in parallel.

So the existence of a potential but not implemented solution rectifies
to break other packages?  That's  ...  uhmm, my vocabulary is broken. :-(
 
> From our pov, someone interested in this topic should write a small
> tool, which does this automatically and is dpkg triggered.

I agree that an automatic solution would be prefered.  However, as long
as such someone does not stand up and write such a program removing
existing solutions is <feel free to insert any word which fits>.  I
rarely have read this kind of argument on a Debian mailing list.

Kind regards

        Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 21:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 21:51:08 GMT) Full text and rfc822 format available.

Message #24 received at 658139@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: Debian Developers <debian-devel@lists.debian.org>, 658139@bugs.debian.org
Subject: Re: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Tue, 31 Jan 2012 22:25:50 +0100
[Message part 1 (text/plain, inline)]
Andreas Tille <tille@debian.org> (31/01/2012):
> This is definitely not "wishlist" - but I do not like to play
> severity-changing pingpong.

Please avoid “To: debian-devel@” when you disagree with maintainers on
individual bugs; thanks already.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Wed, 01 Feb 2012 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 01 Feb 2012 08:33:08 GMT) Full text and rfc822 format available.

Message #29 received at 658139@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Developers <debian-devel@lists.debian.org>, 658139@bugs.debian.org
Cc: Andreas Tille <tille@debian.org>
Subject: Re: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Wed, 01 Feb 2012 09:29:46 +0100
Le mardi 31 janvier 2012 à 21:51 +0100, Andreas Tille a écrit : 
> I agree that an automatic solution would be prefered.  However, as long
> as such someone does not stand up and write such a program removing
> existing solutions is <feel free to insert any word which fits>.

The point is, no one will write such a program until we remove support
for the old system entirely. To break such a chicken/egg circle, we
needed either to write the program ourselves, or to simply drop support
for the obsolete mime system. Guess what: I’m not writing a tool, lest
maintain it, for a technology that I don’t use.

And since, after seven months, nothing happened, it means no one is
interested enough, although some one-liners doing half of the job have
been circulating.

kthxbye,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Severity set to 'important' from 'wishlist' Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:03:11 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:03:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'evince' to 'general'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:12:03 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:12:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'generate mailcap entries from desktop files' from 'evince: missing mime entry' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Tue, 28 Feb 2012 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Hulin <antoine@origan.fdn.fr>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Tue, 28 Feb 2012 21:21:06 GMT) Full text and rfc822 format available.

Message #44 received at 658139@bugs.debian.org (full text, mbox):

From: Antoine Hulin <antoine@origan.fdn.fr>
To: 658139@bugs.debian.org
Subject: Re: Bug#658139: evince: missing mime entry
Date: Tue, 28 Feb 2012 22:15:20 +0100
> And since, after seven months, nothing happened, it means no one is
> interested enough,

The conclusion seems rather hasty to me. I'm not able to write that script
but would gladly open pdf files from mutt.

As Adreas Tille, I would like to voice my astonishment by this decision to
intentionaly break a behaviour in several tools.

Antoine Hulin




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Biscuolo <g@xelera.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 15:45:05 GMT) Full text and rfc822 format available.

Message #49 received at 658139@bugs.debian.org (full text, mbox):

From: Giovanni Biscuolo <g@xelera.eu>
To: 658139@bugs.debian.org
Cc: Andrea Rota <a@xelera.eu>
Subject: evince: missing mime entry
Date: Wed, 29 Feb 2012 16:34:21 +0100
[Message part 1 (text/plain, inline)]
hi all,

i'm having the same problem described on 31 Jan 2012 by Andreas Tille:
see, mutt and all other programs depending on mailcap are not able to
open PDF files with **evince**

please see Debian policy 9.7 about multimedia handlers:
http://www.debian.org/doc/debian-policy/ch-opersys.html#s-mime

please also consider that /etc/mailcap is a standard since a long ago
and that all users of "console based" applications in Debian are
expecting that /etc/mailcap is updated automatically by installed
applications

this problem is strictly related to evince, **not** general, so please
reassign this bug to evince package

a simple workaround is to install one of the other available PDF viewers
fully compliant with the update-mime policy, I'm using epdfview

about alternative solutions proposed, on 2012.01.31  Michael Biebl
<biebl@debian.org> said:
...........
This topic has been discussed several times already. Instead of
maintaining these files by hand (remember, we do have quite a few in the
GNOME repo), those mailcap entries should be generated automatically
from the *.desktop files that are provided upstream and already contain
all the necessary information.
We don't want to maintain a second mime database by hand in parallel.
............

so the proposed solution is that *users* will maintain mime-support
database by hand?

if this topic has been discussed several times why the Debian policy 9.7
still mandates support for update-mime?

the idea not to maintain 2 files containing the same information is
interesting and should be done with proper tools on maintainers side,
not on users side... or by standard tools such those found in
mime-support

if there is enough consensus to drop (or extend) Debian policy 9.7 in
favour of a new one using *.desktop files to register mime-types
(dropping /usr/lib/mime/packages/ files and mime-suport) I'm willing to
help to develop a new tool

all this work should lead to a new written policy *and* related tools
similar to mime-support

meanwhile could you please roll back to /usr/lib/mime/packages/evince? 

thanks
Ciao
Giovanni

-- 
Giovanni Biscuolo

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #54 received at 658139@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Giovanni Biscuolo <g@xelera.eu>, 658139@bugs.debian.org
Cc: Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 16:59:32 +0100
On Wed, 29 Feb 2012, Giovanni Biscuolo wrote:
> so the proposed solution is that *users* will maintain mime-support
> database by hand?

No.

> the idea not to maintain 2 files containing the same information is
> interesting and should be done with proper tools on maintainers side,
> not on users side... or by standard tools such those found in
> mime-support

Yes.

> if there is enough consensus to drop (or extend) Debian policy 9.7 in
> favour of a new one using *.desktop files to register mime-types
> (dropping /usr/lib/mime/packages/ files and mime-suport) I'm willing to
> help to develop a new tool

Please see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779 for 
more information on how to properly fix this at the mime-support level
by auto-generating mailcap information out of the .desktop files.

Russ Alberry gave some tentative spec for such a tool:
http://lists.debian.org/87k446oqzh.fsf@windlord.stanford.edu

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #59 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 658139@bugs.debian.org
Cc: Giovanni Biscuolo <g@xelera.eu>, Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 17:24:59 +0100
On Wed, Feb 29, 2012 at 04:59:32PM +0100, Raphael Hertzog wrote:
> Russ Alberry gave some tentative spec for such a tool:
> http://lists.debian.org/87k446oqzh.fsf@windlord.stanford.edu

Quoting this mail:

   I think one has to make the
   assumption that one can add %s after Exec in order to load a file, since
   the desktop entry doesn't have an equivalent of the command. 

So in such a tool some kind of wild guessing is involved even if I do
not know any tool which contradicts this guess.  It was discussed in
this thread that mime contains more features than you can drain from
desktop files and that it is definitely not straightforeward to turn the
proposed "one liner that does 50%" of the job into a simple tool which
does 100%.

I'd consider the "chance to write something which might probably work in
most cases" as a weak excuse to drop a solution that worked for years
and would continue working quite reasonable.  I agree that duplication
of code/data is something that should be prevented, but it is actually
not a large amount of data which is duplicated nor does it have a great
history of frequent changes.

Kind regards

      Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #64 received at 658139@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Andreas Tille <tille@debian.org>, 658139@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Giovanni Biscuolo <g@xelera.eu>, Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 17:44:57 +0100
Le mercredi 29 février 2012 à 17:24 +0100, Andreas Tille a écrit : 
> I'd consider the "chance to write something which might probably work in
> most cases" as a weak excuse to drop a solution that worked for years
> and would continue working quite reasonable.  I agree that duplication
> of code/data is something that should be prevented, but it is actually
> not a large amount of data which is duplicated nor does it have a great
> history of frequent changes.

Yes of course! We dropped the mime file because it never changes. It was
too hard to see it being always the same, glaring at you silently in the
corner of the eye.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 20:57:13 GMT) Full text and rfc822 format available.

Message #69 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Josselin Mouette <joss@debian.org>, 658139@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Giovanni Biscuolo <g@xelera.eu>, Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 21:53:53 +0100
Hi,

On Wed, Feb 29, 2012 at 05:44:57PM +0100, Josselin Mouette wrote:
> Le mercredi 29 février 2012 à 17:24 +0100, Andreas Tille a écrit : 
> > I'd consider the "chance to write something which might probably work in
> > most cases" as a weak excuse to drop a solution that worked for years
> > and would continue working quite reasonable.  I agree that duplication
> > of code/data is something that should be prevented, but it is actually
> > not a large amount of data which is duplicated nor does it have a great
> > history of frequent changes.
> 
> Yes of course! We dropped the mime file because it never changes. It was
> too hard to see it being always the same, glaring at you silently in the
> corner of the eye.

When reading this I remember that I honestly wanted to ask how this

  "Send a report that this bug log contains spam."

works.  I once tried this and from the linked page it was not clear
whether I would mark the whole bug report as spam or only parts of it.
Could anybody clarify how it works to just mark a single message as
SPAM?

(Not that I really wanted to remove this very helpfull message from BTS
- I'm just reminded to the question I had and never managed to ask.)

Kind regards

       Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Sat, 03 Mar 2012 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Biscuolo <g@xelera.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sat, 03 Mar 2012 16:03:07 GMT) Full text and rfc822 format available.

Message #74 received at 658139@bugs.debian.org (full text, mbox):

From: Giovanni Biscuolo <g@xelera.eu>
To: 658139@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>
Subject: Re: evince: missing mime entry
Date: Sat, 3 Mar 2012 16:59:59 +0100
[Message part 1 (text/plain, inline)]
Dear Raphael,

thank you for your update on the status of this issue

> On Wed, 29 Feb 2012, Giovanni Biscuolo wrote:

[...]

> Please see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779

OK thanks a lot for the link, now I understand very well what is
happening :-)

this bug is definetly linked to #497779... a bug started on 2008.09.04,
more than 3 years ago :-(

more than 3 years ago Josselin Mouette was tired:
"I’m tired of receiving bug reports asking to add a debian/mime file to
support an outdated MIME system that no application I know besides mutt
still uses."

and today we are in the very same situation, with people like me still
commeting on bugs Josselin Mouette is tired of receive

sure the solution should be to patch mime-support and close #497779 once
and forever, rumors says that all is needed is a one liner script
somewhere... so **what is the problem**??? :-)

but why drop mime-support usage from evince (and others packages)
**before** resolving #497779?
...because no one uses mutt or other programs that rely on mailcap?!?
...why just drop /etc/mailcap from Debian?

thanks to brian m. carlson it seems we now have a patch for
mime-support, a patch that "took less than an hour" as he said:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779#20

three years for a "less than an our" patch?!? (still to test and
deploy, obviously)

three years to discuss the new policy "let's drop update-mime
(and mailcap) support, who cares about an outdated MIME system"!?
Debian developers considers mailcap outdated?
you should write it down in some official document, like debian-policy

why can we just collaborate on issues instead of discuss on who is rigth
and who is wrong... for 3 years?!?

I think a more clear policy on multimedia handlers should be specified:
http://www.debian.org/doc/debian-policy/ch-opersys.html#s-mime
in particular *if* mailcap (and update-mime) have to be used in packages
like evince

Ciao
Giovanni

-- 
Giovanni Biscuolo

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 02 May 2012 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 02 May 2012 13:33:07 GMT) Full text and rfc822 format available.

Message #79 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-devel@lists.debian.org, 658139@bugs.debian.org
Subject: Re: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Wed, 2 May 2012 15:30:20 +0200
Hi,

I just would like to warm up this thread a bit because I wonder if a
solution would be found in time for Wheezy release.  It seems nobody
really seems to care about those suggested scripts and we are breaking a
certain amount of programs if mailcap entries are dropped without any
replacement.  I wonder whether the severity of "important" is to weak to
reflect this.  Several people in this thread expressed their annoyance
about this but nothing has happened so far.  If nobody works on
automatic scripts (which are hard to write as Russ expressed here
because mailcap has features not implemented in freedesktop.org) should
we try something else to not spoil the wheezy user experience of terminal
addicted users?

Kind regards

      Andreas.

On Sat, Feb 18, 2012 at 04:44:10PM +0100, Raphael Hertzog wrote:
> Hello,
> 
> On Wed, 01 Feb 2012, Josselin Mouette wrote:
> > Le mardi 31 janvier 2012 à 21:51 +0100, Andreas Tille a écrit : 
> > > I agree that an automatic solution would be prefered.  However, as long
> > > as such someone does not stand up and write such a program removing
> > > existing solutions is <feel free to insert any word which fits>.
> > 
> > The point is, no one will write such a program until we remove support
> > for the old system entirely.
> 
> FWIW, it looks like Josselin suggested this in #497779 more than 3 years
> ago already.
> 
> So he certainly tried something else before simply removing the mailcap
> file. I pinged the mime support maintainer, pointing to Russ' mail
> explaining how to generate mailcap entries out of the desktop files.
> 
> Hopefully this will help since he seemed interested into supporting this.
> 
> Cheers,
> -- 
> Raphaël Hertzog ◈ Debian Developer
> 
> Pre-order a copy of the Debian Administrator's Handbook and help
> liberate it: http://debian-handbook.info/liberation/
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120218154410.GA22496@rivendell.home.ouaza.com
> 
> 

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Thu, 31 May 2012 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 31 May 2012 19:39:04 GMT) Full text and rfc822 format available.

Message #84 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-devel@lists.debian.org
Cc: 658139@bugs.debian.org
Subject: May be ITP: mime-support-extra to close #658139 (Was: Breaking programs because a not yet implemented solution exists in theory)
Date: Thu, 31 May 2012 21:35:05 +0200
Hi,

On Wed, May 02, 2012 at 03:16:08PM +0100, Ben Hutchings wrote:
> I'm also not seeing GNOME applications as file type handlers in
> Akregator (KDE application).  So I'm not sure this is even 'just' a
> problem for text-mode applications.

I have no idea whether the solution proposed below could help here:  I
just injected

   svn://svn.debian.org/collab-maint/deb-maint/mime-support-extra

which would bring back mime support for evince for all applications I'm
using.  (I was too bored to always update a local evince package which
works.)  It is *very* simple and does not implement all those nifty
suggestions given here but not yet implemented.

I see two options to go from here:

  1. I just keep this package as a private solution.
  2. I upload the package to unstable by
      a) issuing a new ITP
      b) turning #658139 into ITP: mime-support-extra

I have no idea what makes the best sense and whether ftpmaster would
accept such a package (I'm not even sure whether I in the position of
ftpmaster would accept this).  I'd regard it as a too simple but helpful
workaround for a problem which should be solved differently.

In any case the idea is to collect issues of broken mime support where
maintainers are unable / not willing to respect Debian policy 9.7.
Adding more entries is simple:  Just add the according mime file as
<pkg>.mime and add <pkg> to "Enhances" in debian/control.

What do you think?

Kind regards

      Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Fri, 01 Jun 2012 11:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 01 Jun 2012 11:39:10 GMT) Full text and rfc822 format available.

Message #89 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: May be ITP: mime-support-extra to close #658139 (Was: Breaking programs because a not yet implemented solution exists in theory)
Date: Fri, 1 Jun 2012 13:33:52 +0200
Hi,

On Thu, May 31, 2012 at 10:56:50PM +0200, Michael Biebl wrote:
> On 31.05.2012 21:35, Andreas Tille wrote:
> 
> > In any case the idea is to collect issues of broken mime support where
> > maintainers are unable / not willing to respect Debian policy 9.7.
> > Adding more entries is simple:  Just add the according mime file as
> > <pkg>.mime and add <pkg> to "Enhances" in debian/control.
> 
> I don't think adding such a package is a good idea. It's just an ugly
> work-around.

Fully ACK.  That's why the first of the option what could be done was to
leave it as local package and do not upload it officially.

> In http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779 there is
> already a patch by brian m. carlson. Any effort regarding this issue
> should be spent getting this patch ready and applied to mime-support.

I would consider the severity of this bug to low considering that
several applications are broken if we will not fix this problem before
the next stable release.  Is there anything which prevents an upload of
this fix?  If there would be no soonish upload I'd consider increasing
the severity to make sure it will not be forgotten somehow.

Kind regards

        Andreas.

-- 
http://fam-tille.de




Severity set to 'serious' from 'important' Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'general' to 'evince'. Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'missing mime entry' from 'generate mailcap entries from desktop files' Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:07 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:24:06 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Sun, 15 Jul 2012 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 15 Jul 2012 16:09:05 GMT) Full text and rfc822 format available.

Message #106 received at 658139@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: debian-devel@lists.debian.org, control@bugs.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Fixing the mime horror ini Debian
Date: Sun, 15 Jul 2012 09:31:53 -0600
[Message part 1 (text/plain, inline)]
severity 658139 serious
clone 658139 -1
reassign -1 tech-ctte
block 658139 by -1
thanks

Hi Michael,

As per http://www.debian.org/Bugs/Developer#severities, the severity of
this bug is serious as in the release manager's opinion, this makes the
package unsuitable for release. Please do NOT simply downgrade this to
wishlist a third time, especially without explanation.

I have already said that you should re-assign to tech-ctte if you're not
happy with this, and instead a wontfix tag has been given to the bug.

Thus, I am reassigning to tech-ctte to ask if they wish to overrule this
decision.

Thanks,
Neil

On Sat, Jul 14, 2012 at 04:34:35PM -0600, Neil McGovern wrote:
> Hence, I consider this bug serious and thus RC, and am reassigning to evince.
> 
> Feel free to pop it over to tech-ctte if you don't agree.
> 
> Thanks,
> Neil
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120714223435.GU28296@halon.org.uk
> 
> 

-- 
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'wishlist' Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:09:07 GMT) Full text and rfc822 format available.

Bug 658139 cloned as bug 681687 Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:09:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658139: 681687 Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Mon, 16 Jul 2012 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 16 Jul 2012 01:00:03 GMT) Full text and rfc822 format available.

Message #117 received at 658139@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: debian-devel@lists.debian.org
Cc: debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 09:50:43 +0900
Hello everybody,

http://bugs.debian.org/497779 contains a patch for the mime-support package to
solve this problem for every package that provides a .desktop file but no
mailcap entry.  The mime-support package has been orphaned last week.

Wouldn't one of the following solutions be acceptable for you ?

 - Add the function to mime-support in Wheezy to update /etc/mailcap using
   the FreeDesktop menu entry files in /usr/share/applications via dpkg
   triggers.

 - Do this in Sid, and add back the MIME entries in evince in Wheezy as a
   temporary compromise.

If nobody else volunteers, I propose to start a maintenance group for the
mime-support package, that I would store in a Git repository on Alioth's
collab-maint group.

My background in MIME support is that I maintain packages that declare MIME
types, I keep track of MIME support in the Policy (http://bugs.debian.org/661816),
and I wrote much of the MimeTypesSupport page on the Debian wiki
(http://wiki.debian.org/MimeTypesSupport).

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Mon, 16 Jul 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 16 Jul 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #122 received at 658139@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Charles Plessy <plessy@debian.org>, László Böszörményi <gcs@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 22:49:42 +0200
[Message part 1 (text/plain, inline)]
Charles Plessy <plessy@debian.org> (16/07/2012):
> If nobody else volunteers, I propose to start a maintenance group for
> the mime-support package, that I would store in a Git repository on
> Alioth's collab-maint group.

I think that's a perfect use case for collab-maint.

László, do you really need a dedicated group for that?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Mon, 16 Jul 2012 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 16 Jul 2012 21:39:03 GMT) Full text and rfc822 format available.

Message #127 received at 658139@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 23:35:32 +0200
[Message part 1 (text/plain, inline)]
Laszlo Boszormenyi (GCS) <gcs@debian.org> (16/07/2012):
> > I think that's a perfect use case for collab-maint.  László, do you
> > really need a dedicated group for that?
>  My intention was to limit people who can commit to mime-support. It
> seems there are multiple viewpoints for example about
> application/x-httpd-* types. One may do more harm with a commit if not
> consulted by a group of more advanced people.  But I'm fine with normal
> collab-maint as well if you and Charles would like that.

As someone processing alioth-related requests, I would find it nice to
use collab-maint for such projects; but I'm willing to hear about
arguments against that.

As a random developer, I would really hate to see people fight through
commits. In case that would happen, I think that can be fixed, IIRC
collab-maint has some abuse clauses or something similar.

(IOW: I'm not convinced you need a dedicated group; quite the contrary.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Mon, 16 Jul 2012 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 16 Jul 2012 21:39:05 GMT) Full text and rfc822 format available.

Message #132 received at 658139@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 21:29:07 +0000
[Message part 1 (text/plain, inline)]
Hi Cyril,

On Mon, 2012-07-16 at 22:49 +0200, Cyril Brulebois wrote:
> Charles Plessy <plessy@debian.org> (16/07/2012):
> > If nobody else volunteers, I propose to start a maintenance group for
> > the mime-support package, that I would store in a Git repository on
> > Alioth's collab-maint group.
 Just for the record, Charles has an advanced knowledge regarding MIME
in general. Hope we can work together.

> I think that's a perfect use case for collab-maint.
> László, do you really need a dedicated group for that?
 My intention was to limit people who can commit to mime-support. It
seems there are multiple viewpoints for example about
application/x-httpd-* types. One may do more harm with a commit if not
consulted by a group of more advanced people.
But I'm fine with normal collab-maint as well if you and Charles would
like that.

Cheers,
Laszlo/GCS
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Mon, 16 Jul 2012 21:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 16 Jul 2012 21:51:05 GMT) Full text and rfc822 format available.

Message #137 received at 658139@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 21:48:47 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2012-07-16 at 23:35 +0200, Cyril Brulebois wrote:
> Laszlo Boszormenyi (GCS) <gcs@debian.org> (16/07/2012):
> >  My intention was to limit people who can commit to mime-support. It
> > seems there are multiple viewpoints for example about
> > application/x-httpd-* types. One may do more harm with a commit if not
> > consulted by a group of more advanced people.  But I'm fine with normal
> > collab-maint as well if you and Charles would like that.
> 
> As someone processing alioth-related requests, I would find it nice to
> use collab-maint for such projects; but I'm willing to hear about
> arguments against that.
> 
> As a random developer, I would really hate to see people fight through
> commits. In case that would happen, I think that can be fixed, IIRC
> collab-maint has some abuse clauses or something similar.
> 
> (IOW: I'm not convinced you need a dedicated group; quite the contrary.)
 I already wrote my reason and that a normal collab-maint place is fine
with me. So I just need to login to git.debian.org and create a
repository under /git/collab-maint/ right?

Charles, I would add myself as Maintainer and you as an uploader or the
vica-versa whichever suits you better. Is this OK with you?

Regards,
Laszlo/GCS
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 17 Jul 2012 00:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 00:30:06 GMT) Full text and rfc822 format available.

Message #142 received at 658139@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, Brian White <bcwhite@pobox.com>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 09:27:08 +0900
Le Mon, Jul 16, 2012 at 09:48:47PM +0000, Laszlo Boszormenyi (GCS) a écrit :
> On Mon, 2012-07-16 at 23:35 +0200, Cyril Brulebois wrote:
> > Laszlo Boszormenyi (GCS) <gcs@debian.org> (16/07/2012):
> > >  My intention was to limit people who can commit to mime-support. It
> > > seems there are multiple viewpoints for example about
> > > application/x-httpd-* types. One may do more harm with a commit if not
> > > consulted by a group of more advanced people.  But I'm fine with normal
> > > collab-maint as well if you and Charles would like that.
> > 
> > As someone processing alioth-related requests, I would find it nice to
> > use collab-maint for such projects; but I'm willing to hear about
> > arguments against that.
> > 
> > As a random developer, I would really hate to see people fight through
> > commits. In case that would happen, I think that can be fixed, IIRC
> > collab-maint has some abuse clauses or something similar.
> > 
> > (IOW: I'm not convinced you need a dedicated group; quite the contrary.)
>  I already wrote my reason and that a normal collab-maint place is fine
> with me. So I just need to login to git.debian.org and create a
> repository under /git/collab-maint/ right?
> 
> Charles, I would add myself as Maintainer and you as an uploader or the
> vica-versa whichever suits you better. Is this OK with you?

Hi Laszlo and Brian,

how about the following (inspired by http://dep.debian.net/deps/dep2/)

Maintainer: mime-support@packages.debian.org
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Charles Plessy <plessy@debian.org>,

I propose the following action plan.

0) We subscribe to the PTS (done for me).

1) Upload to experimental an adopted package with the updated maintainer and
   uploaders list, the VCS fields updated, and the patch for #497779 applied.

2) Install in Alioth's collab-maint a git repository made with the --debsnap
   option of git-import-dscs, unless we try to go deeper in time ?  Set up
   commits emails to go to the PTS.

3) Make crystal clear in the source package's READMEs that uncoordinated
   commits are an abuse of the collab-maint Alioth group.  But perhaps
   we can allow developers to create topic branches related to bugs in the BTS
   if they like ?

4) Postpone any other change on the main branch until either #681687 (tech.
   comittee) is solved or Wheezy released.

Lastly, I would like to thank Brian for his impressively 16-years long work on
mime-support.  Brian, feel free to stay among the uploaders !

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 17 Jul 2012 05:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 05:42:03 GMT) Full text and rfc822 format available.

Message #147 received at 658139@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: Brian White <bcwhite@pobox.com>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 05:38:24 +0000
On Tue, 2012-07-17 at 09:27 +0900, Charles Plessy wrote:
> how about the following (inspired by http://dep.debian.net/deps/dep2/)
> 
> Maintainer: mime-support@packages.debian.org
> Uploaders:
>  Laszlo Boszormenyi (GCS) <gcs@debian.org>,
>  Charles Plessy <plessy@debian.org>,
 Hope Brian will also join. May we add you?

> I propose the following action plan.
> 
> 0) We subscribe to the PTS (done for me).
 For me as well, I assume Brian is also subscribed.

> 1) Upload to experimental an adopted package with the updated maintainer and
>    uploaders list, the VCS fields updated, and the patch for #497779 applied.
 +1

> 2) Install in Alioth's collab-maint a git repository made with the --debsnap
>    option of git-import-dscs, unless we try to go deeper in time ?  Set up
>    commits emails to go to the PTS.
 I've created an empty git collab-maint repository on Alioth, still not
visible over the web interface. As I know, it just need some time. Made
the config to send commits to the PTS. So, how deep should be the
package import? The full history from snapshot.debian.org or just the
last upload is enough? We will have the file history, but not the
comment why happened and what.

> 3) Make crystal clear in the source package's READMEs that uncoordinated
>    commits are an abuse of the collab-maint Alioth group.  But perhaps
>    we can allow developers to create topic branches related to bugs in the BTS
>    if they like ?
 +1 , but I assume you know that others may create free and public git
trees elsewhere, for example on GitHub. They may send a merge request
when their work is done. The tree is still visible, separated and can be
merged if needed.

> 4) Postpone any other change on the main branch until either #681687 (tech.
>    comittee) is solved or Wheezy released.
 +1

> Lastly, I would like to thank Brian for his impressively 16-years long work on
> mime-support.  Brian, feel free to stay among the uploaders !
 I join as well. Thanks Brian for your previous work! Hope you will be
still close to the package and the recent events don't turn you down.

Regards,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 17 Jul 2012 15:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 15:54:05 GMT) Full text and rfc822 format available.

Message #152 received at 658139@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: Brian White <bcwhite@pobox.com>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 15:51:55 +0000
[Message part 1 (text/plain, inline)]
Answering to my own mail.

On Tue, 2012-07-17 at 05:38 +0000, Laszlo Boszormenyi (GCS) wrote:
> On Tue, 2012-07-17 at 09:27 +0900, Charles Plessy wrote:
> > 2) Install in Alioth's collab-maint a git repository made with the --debsnap
> >    option of git-import-dscs, unless we try to go deeper in time ?  Set up
> >    commits emails to go to the PTS.
>  I've created an empty git collab-maint repository on Alioth, still not
> visible over the web interface. As I know, it just need some time.
 It is now visible:
http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=summary
Empty at the moment. I used git-debimport , the result is at GitHub for
review: https://github.com/gcsideal/mime-support
If it's OK, I'll rebase to git.debian.org .

Regards,
Laszlo/GCS
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 17 Jul 2012 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian White <bcwhite@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 21:18:03 GMT) Full text and rfc822 format available.

Message #157 received at 658139@bugs.debian.org (full text, mbox):

From: Brian White <bcwhite@pobox.com>
To: Charles Plessy <plessy@debian.org>
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 23:14:48 +0200
[Message part 1 (text/plain, inline)]
>
> Lastly, I would like to thank Brian for his impressively 16-years long
> work on
> mime-support.  Brian, feel free to stay among the uploaders !
>

Thanks.  I wish I had the energy to make some of the much-needed changes
but I'm just not involved with the project enough these days to have a good
feel for how it should be improved.

Make it great!

  Brian
  bcwhite@pobox.com
------------------------------------------------------------------------------------------
*Treat someone as they are and they will remain that way.
Treat someone as they can be and they will become that way.*
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 17 Jul 2012 21:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 21:48:05 GMT) Full text and rfc822 format available.

Message #162 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: missing mime entry
Date: Tue, 17 Jul 2012 23:45:42 +0200
[Message part 1 (text/plain, inline)]
Just some numbers I got by grepping over the archive on lintian.d.o:

# of packages shipping .desktop files with MimeType associations: 601
# of packages shipping a corresponding mime file in
/usr/lib/mime/packages: 89

If a missing mime file would mean an RC bug, this would instantly make
514 packages RC buggy.
Interestingly, the particular section in the Debian policy is a should
directive, not a must, so I don't understand the reasons for making
#658139 RC.

That said, it seems to me, Debian policy and reality have diverged so
far, that imho a reasonable action her is to update or remove the
relevant section in the Debian policy (§9.7) to actually reflect current
practice.

Creating and keeping those mime files up-to-date is probably okay if you
maintain a single package or you need some of the special features that
mime-support provides. It adds up though, if you maintain multiple
packages. As maintainers time is limited and valuable I'd rather see it
spent for really important issues and simply get the patch in [1]
applied to mime-support which auto-generates those mime entries for
legacy apps which don't yet support the xdg mime spec [2].


Michael
		
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779
[2] http://www.freedesktop.org/wiki/Specifications/shared-mime-info-spec
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 17 Jul 2012 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 17 Jul 2012 22:03:05 GMT) Full text and rfc822 format available.

Message #167 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: missing mime entry
Date: Wed, 18 Jul 2012 00:01:29 +0200
[Message part 1 (text/plain, inline)]
there is a small typo...

On 17.07.2012 23:45, Michael Biebl wrote:
> Just some numbers I got by grepping over the archive on lintian.d.o:
> 
> # of packages shipping .desktop files with MimeType associations: 601
                                                                    ^
                                                                    603
> # of packages shipping a corresponding mime file in
> /usr/lib/mime/packages: 89
> 
> If a missing mime file would mean an RC bug, this would instantly make
> 514 packages RC buggy.
  ^
Just in case someone was questioning my math :-)


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Wed, 18 Jul 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 18 Jul 2012 09:18:03 GMT) Full text and rfc822 format available.

Message #172 received at 658139@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: missing mime entry
Date: Wed, 18 Jul 2012 10:14:21 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Jul 17, 2012 at 11:45:42PM +0200, Michael Biebl wrote:
> If a missing mime file would mean an RC bug, this would instantly make
> 514 packages RC buggy.
> Interestingly, the particular section in the Debian policy is a should
> directive, not a must, so I don't understand the reasons for making
> #658139 RC.
> 

For info, I do not consider all packages missing a mime file to be RC
buggy. I consider #658139 RC.

> Creating and keeping those mime files up-to-date is probably okay if you
> maintain a single package or you need some of the special features that
> mime-support provides. It adds up though, if you maintain multiple
> packages. As maintainers time is limited and valuable I'd rather see it
> spent for really important issues and simply get the patch in [1]
> applied to mime-support which auto-generates those mime entries for
> legacy apps which don't yet support the xdg mime spec [2].
> 

As I understand it, there are still a number of issues with this
approach (.desktop files do not contain enough information to get
argument ordering correct in all cases, and it's far too late to start
using a new auto-generation system this late in the cycle).

I also disagree that
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=%23658139#29 is
justification for this bug.

There is a two line patch that reintroduces this file, and will not
cause issues for the eventual solution (when it finally exists) that the
maintainer prefers. Deliberately breaking functionality because the
maintainer a) doesn't agree with policy and/or wants to use the package
as a stick for others to do work does not to me seem to be the correct
action to take.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Wed, 18 Jul 2012 23:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 18 Jul 2012 23:45:12 GMT) Full text and rfc822 format available.

Message #177 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Subject: Re: Bug#658139: missing mime entry
Date: Thu, 19 Jul 2012 01:40:34 +0200
[Message part 1 (text/plain, inline)]
On 18.07.2012 11:14, Neil McGovern wrote:
> Hi,
> 
> On Tue, Jul 17, 2012 at 11:45:42PM +0200, Michael Biebl wrote:
>> If a missing mime file would mean an RC bug, this would instantly make
>> 514 packages RC buggy.
>> Interestingly, the particular section in the Debian policy is a should
>> directive, not a must, so I don't understand the reasons for making
>> #658139 RC.
>>
> 
> For info, I do not consider all packages missing a mime file to be RC
> buggy. I consider #658139 RC.

And what is the reason that makes evince special and distinguishes it
from other packages which never shipped a mime file or no longer do?
Your decision seems arbitrary.
mime files were removed across the board from the GNOME packages a long
time ago.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Wed, 18 Jul 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 18 Jul 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #182 received at 658139@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Bug#681687: Bug#658139: missing mime entry
Date: Wed, 18 Jul 2012 16:52:05 -0700
Michael Biebl <biebl@debian.org> writes:
> On 18.07.2012 11:14, Neil McGovern wrote:

>> For info, I do not consider all packages missing a mime file to be RC
>> buggy. I consider #658139 RC.

> And what is the reason that makes evince special and distinguishes it
> from other packages which never shipped a mime file or no longer do?

It leads to PDF files being opened in Gimp, which you must agree is very
surprising behavior.

The MIME type entry for PDF files is not just any MIME entry.  I suspect
it is used an order of magnitude more often than any other MIME entry on
the system, if not more.  Speaking just for myself, it would be much
appreciated if you could re-add the update-mime MIME entry just for the
PDF viewer for the wheezy release while we work out a better long-term
solution for how to handle non-FDO-aware applications that need MIME
handling.

To be clear, I completely agree with your long-term direction here and
don't consider maintaining Debian's custom MIME system independent of the
FDO files, or asking GNOME maintainers to maintain separate configuration
files in addition to the standard FDO files, to be viable long-term
approaches.  But I'd like to see this transition be at least somewhat
smooth for our users, not horribly surprising (which is what it seems to
be for non-FDO-aware applications processing PDF files at the moment).  I
wouldn't ask you to re-add all of the hundred-odd files you removed, but
this one in particular is much more user-visible than most.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 19 Jul 2012 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 19 Jul 2012 00:06:03 GMT) Full text and rfc822 format available.

Message #187 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Subject: Re: Bug#681687: Bug#658139: missing mime entry
Date: Thu, 19 Jul 2012 02:03:41 +0200
[Message part 1 (text/plain, inline)]
On 19.07.2012 01:52, Russ Allbery wrote:
> Michael Biebl <biebl@debian.org> writes:
>> On 18.07.2012 11:14, Neil McGovern wrote:
> 
>>> For info, I do not consider all packages missing a mime file to be RC
>>> buggy. I consider #658139 RC.
> 
>> And what is the reason that makes evince special and distinguishes it
>> from other packages which never shipped a mime file or no longer do?
> 
> It leads to PDF files being opened in Gimp, which you must agree is very
> surprising behavior.

GIMP no longer installs a mime file (or never has, dunno). So I would be
very surprised if see foo.pdf would open it in GIMP :-)




-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 19 Jul 2012 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 19 Jul 2012 00:12:03 GMT) Full text and rfc822 format available.

Message #192 received at 658139@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Subject: Re: Bug#681687: Bug#658139: missing mime entry
Date: Wed, 18 Jul 2012 17:09:29 -0700
Michael Biebl <biebl@debian.org> writes:
> On 19.07.2012 01:52, Russ Allbery wrote:

>> It leads to PDF files being opened in Gimp, which you must agree is
>> very surprising behavior.

> GIMP no longer installs a mime file (or never has, dunno). So I would be
> very surprised if see foo.pdf would open it in GIMP :-)

Several people have reported on debian-devel that exactly that happens,
and I assumed it was due to the same issue, but it may have been due to
some unrelated bug.

Regardless of whether it opens in GIMP or doesn't open at all, though,
surely you see my point?  Yes, everything should use the FDO system, but
it doesn't yet, and PDF files are particularly common things to want to
open.  Just this thread has consumed more time and effort than it would
take to add a temporary workaround for that one common use case for
wheezy.

I promise, I personally wouldn't ask you to do the same for wheezy+1.  By
that point we should have some better, systemic solution.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Sun, 22 Jul 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 22 Jul 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #197 received at 658139@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Russ Allbery <rra@debian.org>, 658139@bugs.debian.org, 681687@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>
Subject: Re: Bug#658139: Bug#681687: Bug#658139: missing mime entry
Date: Sun, 22 Jul 2012 23:15:16 +0200
Le mercredi 18 juillet 2012 à 16:52 -0700, Russ Allbery a écrit : 
> Michael Biebl <biebl@debian.org> writes:
> > On 18.07.2012 11:14, Neil McGovern wrote:
> 
> >> For info, I do not consider all packages missing a mime file to be RC
> >> buggy. I consider #658139 RC.
> 
> > And what is the reason that makes evince special and distinguishes it
> > from other packages which never shipped a mime file or no longer do?
> 
> It leads to PDF files being opened in Gimp, which you must agree is very
> surprising behavior.

This is a completely unrelated issue. Gimp opening PDFs is a bug in
gimp, not a bug in evince. Furthermore, it only happens with the XDG
system outside GNOME/KDE, not with the old MIME system, since gimp
doesn’t ship a legacy MIME file.

I’d appreciate if the release team and CTTE could avoid basing their
decisions upon such misinformed claims.

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Sun, 22 Jul 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 22 Jul 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #202 received at 658139@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 658139@bugs.debian.org, 681687@bugs.debian.org, Neil McGovern <neilm@debian.org>
Subject: Re: Bug#658139: Bug#681687: Bug#658139: missing mime entry
Date: Sun, 22 Jul 2012 15:53:09 -0700
Josselin Mouette <joss@debian.org> writes:

> This is a completely unrelated issue. Gimp opening PDFs is a bug in
> gimp, not a bug in evince. Furthermore, it only happens with the XDG
> system outside GNOME/KDE, not with the old MIME system, since gimp
> doesn’t ship a legacy MIME file.

> I’d appreciate if the release team and CTTE could avoid basing their
> decisions upon such misinformed claims.

Yes, there was subsequent mail that clarified that, which you probably
hadn't gotten to when you sent this.

To reassure, that's not the basis by which I'm saying that it would be a
good idea for evince, in particular, to re-add the legacy MIME mapping for
application/pdf, *for wheezy*, so that we have some time to sort this out
properly.  GIMP aside, PDF opening is the most common complaint from
people who are using applications that still use the old metamail MIME
system, so adding the mapping for the most common PDF viewer on the GNOME
platform would make a lot of the user impact quietly disappear.

I completely agree (as I think I've mentioned before) that the legacy
metamail system should change or go away entirely.  I agree that requiring
every package maintainer to worry about it is not a good idea going
forward; the FDO standard is much easier for Debian to support in the long
run.  I don't think there's any real debate here on the long-term
direction.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 26 Jul 2012 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 26 Jul 2012 00:30:03 GMT) Full text and rfc822 format available.

Message #207 received at 658139@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Thu, 26 Jul 2012 09:27:39 +0900
Le Tue, Jul 17, 2012 at 03:51:55PM +0000, Laszlo Boszormenyi (GCS) a écrit :
> 
>  It is now visible:
> http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=summary

Dear all,

I have uploaded to mime-support version 3.53_experimental1 to experimental.

As discussed earlier, me and Laszlo strictly limited the changes to the
adoption of the package, the transfer of its source in collab-maint, and the
addition of a triggered parsing of Desktop entries to populate /etc/mailcap.
Many thanks to Brian M. Carlson for the patch !

We did not have that much time to make extensive tests.  On my computer, I did
not suffer from the lack of a mailcap entry for evince, so please, people
concerned with #658139, test the package and let us know what you think. 

If there is a consensus for uploading to Unstable and ask for a freeze exception,
we will.

Here is a link to the diff with the previous version:

http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=commitdiff;hp=3.52-1;h=3.53_experimental1

Here is a link to the build log:

http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=blob;f=amd64.log;h=9a0dace97c2ddd49a03e7c97428cae945ca5f0b0;hb=uploads

(And my apologises for messing with the changelog for my first upload of a
high-priority package...  in contrary of what is written, it was really
uploaded ot experimental...)

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 26 Jul 2012 06:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 26 Jul 2012 06:57:05 GMT) Full text and rfc822 format available.

Message #212 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Thu, 26 Jul 2012 08:34:32 +0200
On Thu, Jul 26, 2012 at 09:27:39AM +0900, Charles Plessy wrote:
> 
> We did not have that much time to make extensive tests.  On my computer, I did
> not suffer from the lack of a mailcap entry for evince, so please, people
> concerned with #658139, test the package and let us know what you think. 
> 
> If there is a consensus for uploading to Unstable and ask for a freeze exception,
> we will.

I can confirm that the issue I reported in #658139 will be solved by this package.
 
Many thanks to all people involved into this

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Sat, 04 Aug 2012 10:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Aug 2012 10:06:05 GMT) Full text and rfc822 format available.

Message #217 received at 658139@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Andreas Tille <tille@debian.org>, 658139@bugs.debian.org
Subject: evince: missing mime entry
Date: Sat, 4 Aug 2012 10:03:47 +0000
Hi Andreas,

Looking for RC bugs with patches I found bug 658139.  Shouldn't the patch
restore the entire debian/evince.mime file (from 2.30.3-2+squeeze1 or 2.32.0-1
or 3.0.0-3) and also restore the use of desktop-check-mime-types in
debian/rules ?

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Sat, 04 Aug 2012 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Aug 2012 12:03:04 GMT) Full text and rfc822 format available.

Message #222 received at 658139@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Bart Martens <bartm@debian.org>, 658139@bugs.debian.org
Cc: Andreas Tille <tille@debian.org>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Sat, 04 Aug 2012 13:58:41 +0200
Le samedi 04 août 2012 à 10:03 +0000, Bart Martens a écrit :
> Hi Andreas,
> 
> Looking for RC bugs with patches I found bug 658139.  Shouldn't the patch
> restore the entire debian/evince.mime file (from 2.30.3-2+squeeze1 or 2.32.0-1
> or 3.0.0-3) and also restore the use of desktop-check-mime-types in
> debian/rules ?

Certainly not. 

First of all, please refrain from uploading until the TC has made a
decision.

Second, if evince.mime has to be re-added, it is only for
application/pdf.

-- 
.''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Sat, 04 Aug 2012 13:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Aug 2012 13:39:06 GMT) Full text and rfc822 format available.

Message #227 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Bart Martens <bartm@debian.org>
Cc: 658139@bugs.debian.org
Subject: Re: evince: missing mime entry
Date: Sat, 4 Aug 2012 15:35:52 +0200
Hi Bart,

thanks for looking at this.  I can confirm that mime-support from
experimental would solve the problem for me.

Kind regards

        Andreas.

On Sat, Aug 04, 2012 at 10:03:47AM +0000, Bart Martens wrote:
> Hi Andreas,
> 
> Looking for RC bugs with patches I found bug 658139.  Shouldn't the patch
> restore the entire debian/evince.mime file (from 2.30.3-2+squeeze1 or 2.32.0-1
> or 3.0.0-3) and also restore the use of desktop-check-mime-types in
> debian/rules ?
> 
> Regards,
> 
> Bart Martens
> 

-- 
http://fam-tille.de



Added tag(s) pending. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 20 Aug 2012 23:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Fri, 24 Aug 2012 15:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 24 Aug 2012 15:00:04 GMT) Full text and rfc822 format available.

Message #234 received at 658139@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 685790@bugs.debian.org
Cc: 681687-submitter@bugs.debian.org
Subject: missing mime entry for pdfs
Date: Fri, 24 Aug 2012 15:57:29 +0100
package evince
tag 658139 - wontfix
block 658139 by 685790
package tech-ctte
tag 681687 - wontfix
close 681687
thanks

As recorded in #681687 the TC has made the following decision:

    1. The Technical Committee agrees with Neil McGovern's analysis of
       the situation regarding evince's missing mime type entry.

    2. If changes are desirable to our system for dealing with mime
       type entries and desktop files, including changes to policy or
       additional automation, these should be made via the usual
       development and policy amendment processes.

    3. We defer to the Release Team's decision that it is now too late
       to deploy such automation in wheezy.

    4. We do not disagree with the Release Team's assessment that
       the failure of the evince package to provide a mime type
       entry is a release critical bug.

    5. We therefore decline to overrule the Release Team.  The bug
       remains RC against evince.

    6. The release team should clarify which mime types the RC-bugginess
       applies to.  We recommend that the starting point should be those
       mime types advertised by evince via the mime system in squeeze.

Point 6 has been requested in #685790.

Thanks,
Ian.



Removed tag(s) wontfix. Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 24 Aug 2012 15:06:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658139: 685790 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 24 Aug 2012 15:06:09 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 30 Aug 2012 01:36:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Thu, 30 Aug 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #243 received at 658139-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 658139-close@bugs.debian.org
Subject: Bug#658139: fixed in evince 3.4.0-3
Date: Thu, 30 Aug 2012 01:32:44 +0000
Source: evince
Source-Version: 3.4.0-3

We believe that the bug you reported is fixed in the latest version of
evince, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated evince package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 30 Aug 2012 02:27:50 +0200
Source: evince
Binary: evince evince-dbg evince-gtk evince-common libevdocument3-4 libevview3-3 libevince-dev gir1.2-evince-3.0
Architecture: source all amd64
Version: 3.4.0-3
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 evince     - Document (PostScript, PDF) viewer
 evince-common - Document (PostScript, PDF) viewer - common files
 evince-dbg - Document (PostScript, PDF) viewer - debugging symbols
 evince-gtk - Document (PostScript, PDF) viewer (GTK+ version)
 gir1.2-evince-3.0 - GObject introspection data for the evince libraries
 libevdocument3-4 - Document (PostScript, PDF) rendering library
 libevince-dev - Document (PostScript, PDF) rendering library - development files
 libevview3-3 - Document (PostScript, PDF) rendering library - Gtk+ widgets
Closes: 658139 678995
Changes: 
 evince (3.4.0-3) unstable; urgency=low
 .
   [ Josselin Mouette ]
   * Build with all hardening flags. Closes: #678995.
   * Add corresponding build-dependency on a recent dpkg-dev.
 .
   [ Michael Biebl ]
   * Build against poppler 0.18.
 .
   [ Jeremy Bicha ]
   * Fix typo in package description
   * Have libevdocument3-4 break/replace libevince3-3 too (LP: #1018543)
 .
   [ Josselin Mouette ]
   * Re-add evince.mime with only application/pdf supported.
     Closes: #658139.
Checksums-Sha1: 
 c51e652b2bf811e319fcdc585e871b7dcdcfc5dc 3036 evince_3.4.0-3.dsc
 4bf0093a6542eb2dc64c7833e463bf9f901077a5 25510 evince_3.4.0-3.debian.tar.gz
 3d88f2c60a636e5cc72714da22109010da431214 5303770 evince-common_3.4.0-3_all.deb
 6f7218a03cd7c7aec89ed2923e572f5c22cd964b 633464 evince_3.4.0-3_amd64.deb
 9186d9eeadebfc363ddb60354af7233e73941e17 1623458 evince-dbg_3.4.0-3_amd64.deb
 04fc4fd2e0357ed25515e580ddeb02be35d238f8 629874 evince-gtk_3.4.0-3_amd64.deb
 6a0ece285692dd5935cfab47728d4027291b52dc 653218 libevdocument3-4_3.4.0-3_amd64.deb
 82bd18ba3dafbf0ff566636ec195e7ba095dbb4d 568854 libevview3-3_3.4.0-3_amd64.deb
 436b7783b18dc7ebf7891a51e64521b6aab5acc4 713234 libevince-dev_3.4.0-3_amd64.deb
 3a7cb98812db384fc9b4c4188b2bc12173f485a6 498894 gir1.2-evince-3.0_3.4.0-3_amd64.deb
Checksums-Sha256: 
 2ad8e142750f577bae809fd8ba7d93ccbd6a3572e2f835cd6fdd323b03ca245d 3036 evince_3.4.0-3.dsc
 6418db86c784164dbd64d0ab3720e1040636ac646ed8589fc6b250860bd858dd 25510 evince_3.4.0-3.debian.tar.gz
 edd7d663513eb8c856334cedeb08f1624f54bd870ff49bd9acea2b1c46af4453 5303770 evince-common_3.4.0-3_all.deb
 50349ca1f6c625071b50e097e9aa61d29d8fdf0ded2e56df030f365ca298b5f7 633464 evince_3.4.0-3_amd64.deb
 90c3b2226ab67fa55ce14a1f7664d3914fd7c5c6a4853782911a50c47dd79356 1623458 evince-dbg_3.4.0-3_amd64.deb
 06226a9dd4ce0818dbd1e987da4bcfc1bd3cb497e1a3a01a952e4d8670fcba8c 629874 evince-gtk_3.4.0-3_amd64.deb
 6e294a689372ab7ab1776dc70b146833c72cc4fd7a30e783eb5190ae6a214722 653218 libevdocument3-4_3.4.0-3_amd64.deb
 7a869f09cf4b9750550e9d3b592eab58e3410033f6a10bb3be151a60af491edb 568854 libevview3-3_3.4.0-3_amd64.deb
 d77f2b08b8fd422d876a98e9f30774a4118dc3b7c8e555ac0b9f2f7b0424552c 713234 libevince-dev_3.4.0-3_amd64.deb
 143e06b77d5304304c9b351a7984aec5c45336d984d1a40214dfa5f1301df995 498894 gir1.2-evince-3.0_3.4.0-3_amd64.deb
Files: 
 c7e3235e93f34f399c327977671fca7a 3036 gnome optional evince_3.4.0-3.dsc
 9727b4c1a88cfd83b2a8190289799e8e 25510 gnome optional evince_3.4.0-3.debian.tar.gz
 d9fe66d0e4187cbec0aafcb5e2799228 5303770 gnome optional evince-common_3.4.0-3_all.deb
 618d8fd22a60cce41e456bba1ad94c17 633464 gnome optional evince_3.4.0-3_amd64.deb
 d471b5a53bac209eabb294c35aa4ba6c 1623458 debug extra evince-dbg_3.4.0-3_amd64.deb
 2726d0998726ca1215e31eb10400863b 629874 x11 optional evince-gtk_3.4.0-3_amd64.deb
 e7ceb830152855845a1d46bf4cac5db7 653218 libs optional libevdocument3-4_3.4.0-3_amd64.deb
 e21351a2cbdfadfc0b4803e047004dd8 568854 libs optional libevview3-3_3.4.0-3_amd64.deb
 5849370299744f989decb4161795e842 713234 libdevel optional libevince-dev_3.4.0-3_amd64.deb
 4cac7ece4378a1036a9770f2822281f1 498894 introspection optional gir1.2-evince-3.0_3.4.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQPrbWAAoJEGrh3w1gjyLcpzgP/2Tbi64IfCNRN7I5Tkr5wwDA
ulU/0E1cJulPaQA4uBwvFKDLyrjqxCaQwfnzbrVWfJxlUcEI0YD1pHMUxUKASGYz
Z8aVQoJzt9VYlJfsW7oIxOnKv1jdzV5fd19jkrub7ZNi6Kpz9sj1tdIWTOiRDXtM
D03FmM7TKybWSmNRvi4iKbf0fs27fs80DpK/oFoX4+6OF+GR0vwNVU55gWPLhcl9
svYQtB7fqJcCnXvc7ou9xBOx/g+8BfuSE7IzbxyK5niqOZSrNQ/X5/oLMn5MTIDL
IcqrLiaGDNgFUtCR5CLSVUGoZ9j3492lNLPJYI8LRmz2Zk0C4alZxhtZzFIK1uk8
LEBq7LsVWEbl4aVl48eF/dEIJfljDdsc2WStoESMx0O5JGH9KP76IYjqpxw11/ws
Gc185paRiTbHCnBkTEDFhxeiP2SjXVbJE5S9ifTZvEv0n5w9Zxa96E638VdItIt8
kshFwZjI07nKw5nreb9s2qXLfTpZABf8oXc5q31CLpp/1eiOheDEcTslNbbmGc9E
iThsuiZfaiaqke4UtnSt5NS4Q6iyrL23lQQjGl1YPKVRMu4YQrOiuRafdf2tb1Wy
Aowt5wWKC//evgib7jdeRPnmZ+Z8lXuOJd5TM06E6oePdlavGQbg4I4PSEd/Rk5K
n/vFaAN3PJXHGixnSJUt
=cjfB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Sep 2012 07:26:28 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 10:30:04 GMT) Full text and rfc822 format available.

Bug reopened Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 10:30:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions evince/3.4.0-3. Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 10:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 11 Oct 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 11 Oct 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #256 received at 658139@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 658139@bugs.debian.org
Subject: Patch to add back mime support
Date: Thu, 11 Oct 2012 11:15:30 -0700
[Message part 1 (text/plain, inline)]
The attached patch adds back mime support and fixes the rest of the
issues (#619564, #627027, and #551734) which were related to
evince.mime and evince-gtk.mime. #581441 was fixed in
shared-mime-info/1.0.


Don Armstrong

-- 
There is no form of lead-poisoning which more rapidly and thoroughly
pervades the blood and bones and marrow than that which reaches the
young author through mental contact with type metal.
 -- Oliver Wendell Holmes (Tilton 1947 p67)

http://www.donarmstrong.com              http://rzlab.ucr.edu
[fix_for_658139.diff (text/x-diff, attachment)]

Marked as found in versions evince/3.0.2-1. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 00:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 08 Nov 2012 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 08 Nov 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #263 received at 658139@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 658139@bugs.debian.org
Subject: NMU to fix this bug made to delayed/7
Date: Thu, 8 Nov 2012 11:37:43 -0800
[Message part 1 (text/plain, inline)]
I have uploaded an NMU which fixes this bug to delayed/7. The diff for
the NMU is attached.


Don Armstrong

-- 
Sometimes I wish I could take back all my mistakes
but then I think
what if my mother could take back hers?
 -- a softer world #498
    http://www.asofterworld.com/index.php?id=498

http://www.donarmstrong.com              http://rzlab.ucr.edu
[nmu_658139.diff (text/x-diff, attachment)]

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Thu, 15 Nov 2012 20:51:19 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Thu, 15 Nov 2012 20:51:19 GMT) Full text and rfc822 format available.

Message #268 received at 658139-close@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 658139-close@bugs.debian.org
Subject: Bug#658139: fixed in evince 3.4.0-3.1
Date: Thu, 15 Nov 2012 20:47:54 +0000
Source: evince
Source-Version: 3.4.0-3.1

We believe that the bug you reported is fixed in the latest version of
evince, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Don Armstrong <don@debian.org> (supplier of updated evince package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 08 Nov 2012 10:32:12 -0800
Source: evince
Binary: evince evince-dbg evince-gtk evince-common libevdocument3-4 libevview3-3 libevince-dev gir1.2-evince-3.0
Architecture: source all amd64
Version: 3.4.0-3.1
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Don Armstrong <don@debian.org>
Description: 
 evince     - Document (PostScript, PDF) viewer
 evince-common - Document (PostScript, PDF) viewer - common files
 evince-dbg - Document (PostScript, PDF) viewer - debugging symbols
 evince-gtk - Document (PostScript, PDF) viewer (GTK+ version)
 gir1.2-evince-3.0 - GObject introspection data for the evince libraries
 libevdocument3-4 - Document (PostScript, PDF) rendering library
 libevince-dev - Document (PostScript, PDF) rendering library - development files
 libevview3-3 - Document (PostScript, PDF) rendering library - Gtk+ widgets
Closes: 658139
Changes: 
 evince (3.4.0-3.1) unstable; urgency=low
 .
   * Non-maintainer Upload
   * Support the rest of the mime types that evince used to support in
     evince-gtk.mime and evince.mime. Closes: #658139. This also fixes
     #619564, #627027, and #551734 which were related to evince.mime and
     evince-gtk.mime. #581441 was fixed in shared-mime-info/1.0.
Checksums-Sha1: 
 9a953d5ad3e24acf5952284cee81f27b7348f2f9 2998 evince_3.4.0-3.1.dsc
 b9675739e0b86d9c2802b8df4fc334e1188d6839 27486 evince_3.4.0-3.1.debian.tar.gz
 d7457d02bd5f122986d5e73d714a46369123ba18 5157034 evince-common_3.4.0-3.1_all.deb
 761abe8b9e2bb74b2b241b6c37523321416bbb63 634916 evince_3.4.0-3.1_amd64.deb
 21e6739748817993423426798136479942318c16 1627098 evince-dbg_3.4.0-3.1_amd64.deb
 a8cf43fbee83d013f7fa042970051992e5c916bd 630684 evince-gtk_3.4.0-3.1_amd64.deb
 5f35e666c480ed25606b278c1504ae6af879cd96 652414 libevdocument3-4_3.4.0-3.1_amd64.deb
 427c804cc062eefba5df51da0ba7beefa2ebc452 568612 libevview3-3_3.4.0-3.1_amd64.deb
 71152b66aee6716d198a761bef2e1b1f09b7221f 714384 libevince-dev_3.4.0-3.1_amd64.deb
 2384a16e9d635b086ef75224c8e59d64e92a3fda 498748 gir1.2-evince-3.0_3.4.0-3.1_amd64.deb
Checksums-Sha256: 
 e426208b9f9fba01b0e8c79edb129e3c8e0f311c3972abe7d66df8139568889a 2998 evince_3.4.0-3.1.dsc
 9694bf713ff7581abab34ed02d08392bb7f38b639a381ef035f54f446002fe1b 27486 evince_3.4.0-3.1.debian.tar.gz
 0237b435af5959172243155137703c5d9ef13edaef2d4e3cdf2f168acde6efdb 5157034 evince-common_3.4.0-3.1_all.deb
 6d11a0fd5c7be0cdc564f2b05fc9b49ee92524d77b415007a3c3a003ed8ce32e 634916 evince_3.4.0-3.1_amd64.deb
 f4852d497186fc07766a563c27a8e643f4f62e27966c99a606120d368d7dd98a 1627098 evince-dbg_3.4.0-3.1_amd64.deb
 a6dd56e3c2f7616fb33590c0602b850f4eb479303473be0ca75c70c2353c57a7 630684 evince-gtk_3.4.0-3.1_amd64.deb
 42dd9bc112cbd719096351b6f5fcdba71f725fa7d9f22ead4ff43600236ec8a4 652414 libevdocument3-4_3.4.0-3.1_amd64.deb
 e719e3ef9f6503e7096b1bacbb81a4296ccb03f6ea38599bb56f11c2a48273fd 568612 libevview3-3_3.4.0-3.1_amd64.deb
 febcb78358e1f347e8ed2ffe41b860a59874b76db66c0667d32d088a3395df60 714384 libevince-dev_3.4.0-3.1_amd64.deb
 1b0981ac7a81ea4029f37b16184be15868338d5edc2759b7f3f6041b54f42979 498748 gir1.2-evince-3.0_3.4.0-3.1_amd64.deb
Files: 
 b0996cc88ea86d11402aad9224cd038e 2998 gnome optional evince_3.4.0-3.1.dsc
 003fec873260b859eee9e97115271139 27486 gnome optional evince_3.4.0-3.1.debian.tar.gz
 b02e2b042902fb1da346c7b7f539b349 5157034 gnome optional evince-common_3.4.0-3.1_all.deb
 e0b6638d6f284d484f48a5fe9db3c38a 634916 gnome optional evince_3.4.0-3.1_amd64.deb
 9febee4592d56190702854bbc4be040b 1627098 debug extra evince-dbg_3.4.0-3.1_amd64.deb
 cf351a619dceb66580e972d5f4340558 630684 x11 optional evince-gtk_3.4.0-3.1_amd64.deb
 9a90d08218dfcd06f7e3e745f990bfb6 652414 libs optional libevdocument3-4_3.4.0-3.1_amd64.deb
 6a99bcf9e20def670bda267dcfce674a 568612 libs optional libevview3-3_3.4.0-3.1_amd64.deb
 2dec34f3de7e3d078ffa6cf9c115b05e 714384 libdevel optional libevince-dev_3.4.0-3.1_amd64.deb
 e6d2961b5ea4ed3ed3003638a421ff39 498748 introspection optional gir1.2-evince-3.0_3.4.0-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUJwI3qLRMAHZjA+6AQq8uQ//V8PfwI+Pd8si2MCzNnG/hSwngpagHvbb
fHFA6yy8Y9+Cu3goljwkNCVGVwgz4VgFfKMHybosL3s8HCcZdjcfy0kEBUVxqlU3
mzmx1rOXf6jmhT4ORtQ0fKMlMatnIodk7jqfmNUR7RdSxLA+BmyOyrxP27QfrCFa
gF66Siz4tJH9ZskxhYVGRp9TGdnCfpUxOFlI/osH0S9H2uPEOcjlaN1UpFhJUPZM
je6GuryqAZMMLf1dgstEKoUGCS9hV1zg1I0OChmPBQ37+I7zRAQo8bQs4LymquKj
yaRf4b3CExoIEO+jVGVlxtL8JYM7Yu0VtC19sbPu2hpT0JoRzlv2z/ZkEh/MxX9z
cVu9jRiK7+CHkHhnggBTEraI6dC4rMtQKn+98BBJ84CEk9kbRCfLwE24CJCh237m
ejHzEbORBY0sPnWkbItSo40xyGk8nAS/8IR2Lz2K07gq59hSmKiuMhXl0ZerLTgN
gFrT6GDK1eTkrAwdh+7OIWaZayQquQQTNwURmvvivlCZjC2+MaOhMebX8usM9aoZ
PQkqGyhCVgMqNsbr+vtfR8I8t4yoLPW2555TGC6SGMk0WbSz97kreamN+s2F4lGJ
hJr7oNRvMSvWUnUzOOebIcT2lEDnasCc3Gi9B//DTlJ9IJTToxbNAoDgYOMV5JrM
umTRBIu1044=
=UI6E
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Jan 2013 07:26:22 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Thu, 03 Oct 2013 11:54:09 GMT) Full text and rfc822 format available.

Marked as found in versions evince/3.8.3-2 and reopened. Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Thu, 03 Oct 2013 11:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 03 Oct 2013 12:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 03 Oct 2013 12:21:07 GMT) Full text and rfc822 format available.

Message #279 received at 658139@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Don Armstrong <don@debian.org>, 658139@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#658139: NMU to fix this bug made to delayed/7
Date: Thu, 3 Oct 2013 12:51:42 +0100
[Message part 1 (text/plain, inline)]
package evince
unarchive 658139
found 658139 3.8.3-2
thanks

It looks like the latest package upload did not ack the NMU. Which means
this bug is back.

Neil

On Thu, Nov 08, 2012 at 11:37:43AM -0800, Don Armstrong wrote:
> I have uploaded an NMU which fixes this bug to delayed/7. The diff for
> the NMU is attached.
> 
> 
> Don Armstrong
> 
> -- 
> Sometimes I wish I could take back all my mistakes
> but then I think
> what if my mother could take back hers?
>  -- a softer world #498
>     http://www.asofterworld.com/index.php?id=498
> 
> http://www.donarmstrong.com              http://rzlab.ucr.edu

> diff -Nru evince-3.4.0/debian/changelog evince-3.4.0/debian/changelog
> --- evince-3.4.0/debian/changelog	2012-08-29 17:28:06.000000000 -0700
> +++ evince-3.4.0/debian/changelog	2012-11-08 10:34:13.000000000 -0800
> @@ -1,3 +1,13 @@
> +evince (3.4.0-3.1) unstable; urgency=low
> +
> +  * Non-maintainer Upload
> +  * Support the rest of the mime types that evince used to support in
> +    evince-gtk.mime and evince.mime. Closes: #658139. This also fixes
> +    #619564, #627027, and #551734 which were related to evince.mime and
> +    evince-gtk.mime. #581441 was fixed in shared-mime-info/1.0.
> +
> + -- Don Armstrong <don@debian.org>  Thu, 08 Nov 2012 10:32:12 -0800
> +
>  evince (3.4.0-3) unstable; urgency=low
>  
>    [ Josselin Mouette ]
> diff -Nru evince-3.4.0/debian/control evince-3.4.0/debian/control
> --- evince-3.4.0/debian/control	2012-08-29 17:32:50.000000000 -0700
> +++ evince-3.4.0/debian/control	2012-11-08 11:09:28.000000000 -0800
> @@ -7,7 +7,7 @@
>  Section: gnome
>  Priority: optional
>  Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
> -Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
> +Uploaders: Michael Biebl <biebl@debian.org>
>  Build-Depends: cdbs (>= 0.4.90),
>                 debhelper (>= 8),
>                 dpkg-dev (>= 1.16.1),
> diff -Nru evince-3.4.0/debian/evince-gtk.mime evince-3.4.0/debian/evince-gtk.mime
> --- evince-3.4.0/debian/evince-gtk.mime	1969-12-31 16:00:00.000000000 -0800
> +++ evince-3.4.0/debian/evince-gtk.mime	2012-11-08 10:30:34.000000000 -0800
> @@ -0,0 +1,21 @@
> +application/pdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf; priority=5
> +application/x-pdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf; priority=5
> +application/x-bzpdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf.bz2; priority=5
> +application/x-gzpdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf.gz; priority=5
> +application/postscript; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.ps; priority=5
> +application/x-bzpostscript; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.ps.bz2; priority=5
> +application/x-gzpostscript; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.ps.gz; priority=5
> +image/x-eps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.eps; priority=5
> +image/x-bzeps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.eps.bz2; priority=5
> +image/x-gzeps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.eps.gz; priority=5
> +application/x-dvi; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.dvi; priority=5
> +application/x-gzdvi; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.dvi.gz; priority=5
> +application/x-bzdvi; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.dvi.bz2; priority=5
> +image/vnd.djvu; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.djvu; priority=5
> +application/x-cbr; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cbr; priority=4
> +application/x-cbt; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cbt; priority=4
> +application/x-cbz; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cbz; priority=4
> +application/x-cb7; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cb7; priority=4
> +image/tiff; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.tiff; priority=3
> +application/oxps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.xps; priority=3
> +application/vnd.ms-xpsdocument; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.xps; priority=3
> diff -Nru evince-3.4.0/debian/evince.mime evince-3.4.0/debian/evince.mime
> --- evince-3.4.0/debian/evince.mime	2012-08-29 17:27:46.000000000 -0700
> +++ evince-3.4.0/debian/evince.mime	2012-11-08 10:30:34.000000000 -0800
> @@ -1 +1,21 @@
>  application/pdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf; priority=5
> +application/x-pdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf; priority=5
> +application/x-bzpdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf.bz2; priority=5
> +application/x-gzpdf; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.pdf.gz; priority=5
> +application/postscript; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.ps; priority=5
> +application/x-bzpostscript; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.ps.bz2; priority=5
> +application/x-gzpostscript; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.ps.gz; priority=5
> +image/x-eps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.eps; priority=5
> +image/x-bzeps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.eps.bz2; priority=5
> +image/x-gzeps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.eps.gz; priority=5
> +application/x-dvi; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.dvi; priority=5
> +application/x-gzdvi; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.dvi.gz; priority=5
> +application/x-bzdvi; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.dvi.bz2; priority=5
> +image/vnd.djvu; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.djvu; priority=5
> +application/x-cbr; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cbr; priority=4
> +application/x-cbt; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cbt; priority=4
> +application/x-cbz; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cbz; priority=4
> +application/x-cb7; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.cb7; priority=4
> +image/tiff; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.tiff; priority=3
> +application/oxps; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.xps; priority=3
> +application/vnd.ms-xpsdocument; evince %s; test=test -n "$DISPLAY"; nametemplate=%s.xps; priority=3


-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 03 Oct 2013 17:12:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 03 Oct 2013 17:12:16 GMT) Full text and rfc822 format available.

Message #284 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Subject: Re: Bug#658139: NMU to fix this bug made to delayed/7
Date: Thu, 03 Oct 2013 19:11:40 +0200
[Message part 1 (text/plain, inline)]
Hi Neil,

Am 03.10.2013 13:51, schrieb Neil McGovern:
> package evince
> unarchive 658139
> found 658139 3.8.3-2
> thanks
> 
> It looks like the latest package upload did not ack the NMU. Which means
> this bug is back.

mime-support in jessie/sid has native support for the xdg mime spec so
there is no need anymore to add a evince.mime file.
The reason why it was added for the wheezy version is simply that the
mime-support maintainers didn't want to add that feature that late in
the wheezy release cycle.

From my POV this bug is not back and it should be closed again.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Thu, 03 Oct 2013 17:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 03 Oct 2013 17:18:05 GMT) Full text and rfc822 format available.

Message #289 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Subject: Re: Bug#658139: NMU to fix this bug made to delayed/7
Date: Thu, 03 Oct 2013 19:14:45 +0200
[Message part 1 (text/plain, inline)]
Am 03.10.2013 19:11, schrieb Michael Biebl:
> Hi Neil,
> 
> Am 03.10.2013 13:51, schrieb Neil McGovern:
>> package evince
>> unarchive 658139
>> found 658139 3.8.3-2
>> thanks
>>
>> It looks like the latest package upload did not ack the NMU. Which means
>> this bug is back.
> 
> mime-support in jessie/sid has native support for the xdg mime spec so
> there is no need anymore to add a evince.mime file.
> The reason why it was added for the wheezy version is simply that the
> mime-support maintainers didn't want to add that feature that late in
> the wheezy release cycle.
> 
> From my POV this bug is not back and it should be closed again.

mime-support (3.53) unstable; urgency=low

[..]

  801bd8b Parse Desktop entries to generate mailcap entries.
          Patch from Brian M. Carlson. (Closes: #497779)



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Neil McGovern <neilm@debian.org>:
You have taken responsibility. (Fri, 04 Oct 2013 08:03:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Fri, 04 Oct 2013 08:03:09 GMT) Full text and rfc822 format available.

Message #294 received at 658139-done@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 658139-done@bugs.debian.org
Date: Fri, 4 Oct 2013 09:02:13 +0100
[Message part 1 (text/plain, inline)]
Looks like this actually does work now thanks to mime-support > 3.53. In
theory, a reccommends or depends would make this bug actually
technically correct, but as long as it works, which it seems to, I'm
happy.

Sorry for the noise!

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

No longer marked as found in versions evince/3.8.3-2. Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Fri, 04 Oct 2013 09:06:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions evince/3.8.3-2. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Tue, 15 Oct 2013 21:06:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Nov 2013 07:29:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:14:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.